﻿.panel-appointment, .panel-cancelappointment {
  width: 600px;
  max-height: 600px;
  border-radius: 6px;
  background-color: #ffffff;
  box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.35);
  overflow: auto; }

.sp-modal-header {
  height: 50px;
  line-height: 50px;
  border-radius: 6px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  background-color: #f7f7f7;
  border-bottom: 1px solid #e2e2e2; }
  .sp-modal-header .close {
    font-size: 40px;
    margin-right: 10px; }
  .sp-modal-header .close span {
    line-height: 50px; }

.sp-modal-title {
  height: 42px;
  font-size: 20px;
  font-weight: normal;
  font-family: Nunito, "Open Sans", Helvetica, sans-serif;
  /*line-height: 2.1;*/
  color: #151618;
  padding-left: 25px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  width: calc(100% - 70px);
  display: inline-block; }

.panel-cancelappointment .sp-modal-title {
  width: calc(100% - 40px); }

.panel-appointment-details {
  line-height: 1.43;
  color: #444444;
  background-position-x: left;
  padding-left: 19px;
  display: block; }

.appointment-details, .appointment-detail-date, .appointment-detail-with, .appointment-detail-location {
  padding: 0 23px 0 23px;
  background-repeat: no-repeat;
  margin: 15px 0;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap; }

.appointment-detail-date {
  background-image: url("../Content/Images/Date Time.png"); }

.appointment-detail-with {
  background-image: url("../Content/Images/With.png"); }

.appointment-detail-location {
  background-image: url("../Content/Images/Location.png");
  overflow: auto;
  white-space: normal; }

.appointment-detail-location-details {
  overflow: auto;
  white-space: normal;
  max-height: 80px;
  margin-right: -23px; }

.cancel-appointment-location-details {
  padding-left: 23px;
  overflow: auto;
  white-space: normal;
  max-height: 80px;
  margin-top: -10px; }

.appointment-download-icalendar {
  background-image: url("../Content/Images/Download_Icon.png");
  height: 27px;
  width: 30px;
  background-repeat: no-repeat;
  display: inline-block; }

.panel-appointment-notes {
  display: block;
  border: 1px solid #e2e2e2;
  border-width: 1px 0 1px 0;
  padding: 15px 15px 15px 19px;
  font-weight: normal;
  white-space: nowrap;
  text-overflow: ellipsis;
  min-height: 85px;
  max-height: 125px;
  overflow-y: auto;
  overflow-x: hidden;
  white-space: normal; }

.panel-appointment-notes.no-notes {
  color: #bbb; }

.panel-appointment-detail-buttons {
  margin: 20px 0 20px 0;
  display: block;
  text-align: center; }

.done-button {
  font-size: 16px;
  font-weight: 600;
  width: 75%;
  height: 44px; }

.appointment-cancel-link {
  margin-top: 16px;
  font-size: 14px;
  font-weight: normal;
  line-height: 1.71; }
  .appointment-cancel-link > a {
    color: #0074DB; }

.panel-cancelappointment .panel-appointment-detail-buttons {
  display: block;
  margin: 0; }
  .panel-cancelappointment .panel-appointment-detail-buttons div {
    width: 50%;
    float: left;
    margin: 20px 0; }

.cancelappointment-label {
  color: #5B5E65;
  display: block;
  font-weight: 600;
  margin: 10px 0 0 0; }

#cancel-completed {
  display: none;
  margin: 20px 0 25px 0;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -ms-flex-direction: column;
  -webkit-flex-direction: column;
  flex-direction: column;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  font-size: 16px;
  font-weight: 600;
  color: #555555; }

@media (max-width: 767px) {
  #apptdetails {
    padding-left: 0 !important; }
  #apptdetails .modal-dialog {
    margin: 0;
    height: 100%; }
  .panel-appointment, .panel-cancelappointment {
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    border-radius: 0;
    overflow: auto; }
  .done-button {
    max-width: 345px; }
  .sp-modal-title {
    text-align: center;
    padding-left: 0px; } }

.modal.fade:not(.in).bottom .modal-dialog {
  -webkit-transform: translate3d(0, 25%, 0);
  transform: translate3d(0, 25%, 0); }

